import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer,apiResquestOutside} from '@/api/request/request.js'

//用户修改头像接口
export const systemMineUserEdit = (data) => {
	return apiResquest({
		url: `/system/mine/user/edit`,
		method: 'POST',
		data: { ...data }
	})
};
//预警记录-列表
export const systemMineWarningNoticeList = (data) => {
	return apiResquest({
		url: `/system/mine/warningNoticeList`,
		method: 'POST',
		data: { ...data }
	})
};
//预警记录-非预案详情
export const systemMineWarningNoticeDetail = (data) => {
	return apiResquest({
		url: `/system/mine/warningNoticeDetail`,
		method: 'get',
		data: { ...data }
	})
};
//预警记录-预案详情
export const laboratoryEventFindByEventId = (data) => {
	return apiResquest({
		url: `/laboratory/event/findByEventId`,
		method: 'get',
		data: { ...data }
	})
};
//进出记录/离开检查-实验室列表
export const laboratoryAppletSignSubList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/signSubList`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-头部数据
export const laboratoryAppletPassOutCount = (data) => {
	return apiResquest({
		url: `/laboratory/applet/passOutCount`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-列表
export const laboratoryAppletPassOutList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/passOutList`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-照片列表
export const laboratoryAppletPhotoInspectList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/photoInspectList`,
		method: 'POST',
		data: { ...data }
	})
};
//离开检查-检查项查询
export const laboratoryAppletOutCheckList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/outCheckList`,
		method: 'POST',
		data: { ...data }
	})
};
//离开检查-提交
export const laboratoryAppletAddPhotoInspect = (data) => {
	return apiResquest({
		url: `/laboratory/applet/addPhotoInspect`,
		method: 'POST',
		data: { ...data }
	})
};
//离开检查-直接离开
export const laboratoryAppletSignOutSubmit = (data) => {
	return apiResquest({
		url: `/laboratory/applet/signOutSubmit`,
		method: 'POST',
		data: { ...data }
	})
};


//查询用户电子签名
export const querySignature = (data) => {
	return apiResquest({
		  url: `/system/user/querySignature`,
		method: 'get',
		data: { ...data }
	})
};
//小程序电子签名抠图生成图片
export const querygenSign  = (data) => {
    return apiResquest({
        url: `/system/user/genSign`,
        method: 'POST',
        data: {...data}
    })
};
//小程序用户修改签名
export const updateSignature  = (data) => {
    return apiResquest({
        url: `/system/user/appSignature`,
        method: 'POST',
        data: {...data}
    })
};

//设备资产管理
export const systemMineLinkGetEquipmentDetail = (data) => {
	return apiResquest({
		url: `/system/mine/link/getEquipmentDetail`,
		method: 'get',
		data: { ...data }
	})
};
//笼位管理
export const systemMineLinkGetCagePositionDetail = (data) => {
	return apiResquest({
		url: `/system/mine/link/getCagePositionDetail`,
		method: 'get',
		data: { ...data }
	})
};
//安全教育与考试
export const systemMineLinkGetEducationExamDetail = (data) => {
	return apiResquest({
		url: `/system/mine/link/getEducationExamDetail`,
		method: 'get',
		data: { ...data }
	})
};
//设施预约
export const systemMineLinkGetExamH5 = (data) => {
	return apiResquest({
		url: `/system/mine/link/getExamH5`,
		method: 'get',
		data: { ...data }
	})
};
//设备资产管理/笼位管理获取跳转参数
export const menuLinkPost  = (url,data) => {
    return apiResquestOutside({
        url: url,
        method: 'POST',
        data: {...data}
    })
};
//分级管控未完成工作列表
export const gradingControl  = (data) => {
    return apiResquest({
        url: `/laboratory/app/lab/manage/havingList`,
        method: 'POST',
        data: {...data}
    })
};
//完成分级管控工作
export const gradingControlAdd  = (data) => {
    return apiResquest({
        url: `/laboratory/app/lab/manage/finish`,
        method: 'POST',
        data: {...data}
    })
};
//分级管控已完成工作列表
export const gradingControlFinish  = (data) => {
    return apiResquest({
        url: `/laboratory/app/lab/manage/finishList`,
        method: 'POST',
        data: {...data}
    })
};
//分级管控详细信息
export const gradingControlDetail  = (data) => {
    return apiResquest({
        url: `/laboratory/app/lab/manage/getInfo/`+data,
        method: 'GET',
        //data: data,
    })
};
//通过手机号码-获取数字验证码(需要手机号已存在)
export const authNumCaptcha  = (data) => {
    return apiResquest({
        url: `/auth/numCaptcha`,
        method: 'get',
        data: {...data}
    })
};
//通过手机号码-获取数字验证码(需要手机号不存在)
export const authNumCaptchaNotRegistered  = (data) => {
    return apiResquest({
        url: `/auth/numCaptchaNotRegistered`,
        method: 'get',
        data: {...data}
    })
};
//忘记密码/修改密码-提交
export const authForgetPassword  = (data) => {
    return apiResquest({
        url: `/auth/forgetPassword`,
        method: 'POST',
        data: {...data}
    })
};
//查询用户信息-(初始密码/手机号/导师/身份)
export const systemUserPersonalData  = (data) => {
    return apiResquest({
        url: `/system/user/personalData`,
        method: 'get',
    })
};
//根据用户id查询用户详情
export const systemUserDetail  = (data) => {
    return apiResquest({
        url: `/system/user/detail`,
        method: 'get',
				data: { ...data }
    })
};
//查询导师列表
export const systemUserSelectByPage  = (data) => {
    return apiResquest({
        url: `/system/user/selectByPage`,
        method: 'POST',
				data: { ...data }
    })
};
//查询导师列表-老师/非本科学生
export const systemUserSelectUserNotBenKeByPage  = (data) => {
    return apiResquest({
        url: `/system/user/selectUserNotBenKeByPage`,
        method: 'POST',
				data: { ...data }
    })
};
//完善用户信息-提交
export const systemUserEditUserAndPhone  = (data) => {
    return apiResquest({
        url: `/system/user/editUserAndPhone`,
        method: 'POST',
				data: { ...data }
    })
};
//扫码查询-化学品使用记录
export const chemicalAppletSelectStockRecord  = (data) => {
    return apiResquest({
        url: `/chemical/applet/selectStockRecord`,
        method: 'POST',
				data: { ...data }
    })
};
//用户积分查询
export const creditMainGetUserReward  = (data) => {
    return apiResquest({
        url: `/credit/main/getUserReward`,
        method: 'POST',
				data: { ...data }
    })
};
